<?php

declare(strict_types=1);

namespace Silex\DI;

use Silex\Gateway\NewsGateway;
use PDO;

class DI
{
    private ?PDO $pdo = null;
    private ?NewsGateway $newsGateway = null;

    public function getNewsGateway(): NewsGateway
    {
        if ($this->newsGateway === null) {
            $this->newsGateway = new NewsGateway($this->getPDO());
        }
        return $this->newsGateway;
    }

    private function getPDO(): PDO
    {
        if ($this->pdo === null) {
            return new PDO(sprintf('mysql:host=%s;dbname=%s', DB_HOST, DB_DATABASE), DB_USER, DB_PASSWORD);
        }
        return $this->pdo;
    }
}
